View Issue Details

IDProjectCategoryView StatusLast Update
0005424TalerWeb site(s)public2019-06-18 17:20
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005424: Set up consistent policy for building Websites.
DescriptionRight now the stable branch does not get built in response to a push, but only if the build-button is manually pushed or a subsequent push to the master branch occurs. So we should either update the stable branch upon pushes to it, or entirely ignore it.
TagsNo tags attached.

Relationships

related to 0005490 resolvedMarcello Stanisci Install Buildbot on GV.TALER.NET. 

Activities

Christian Grothoff

2019-02-17 22:26

manager   ~0013854

It should be rebuild on pushes to Git.

Marcello Stanisci

2019-03-01 16:47

manager   ~0014110

This commit: d48b3d0, addresses this issue. The BB (doc-builder) now reacts upon pushes to the stable branch, but the important part is that the actual www.git checkout (in the docbuilder $HOME) must *be* on the stable branch.

And also, this bug now depends on 0005490 (better to test it on GV directly.)

Marcello Stanisci

2019-06-07 16:25

manager   ~0014519

'stable' branch is actually checked out ([1]), closing here.

[1] https://git.taler.net/deployment.git/tree/taler-sitesbuild/update_www.sh?id=8c19d872392d129d636d5a0cae3d1e7eb450ce33#n18

Issue History

Date Modified Username Field Change
2018-08-14 11:36 Marcello Stanisci New Issue
2018-11-18 00:42 Christian Grothoff Assigned To => Marcello Stanisci
2018-11-18 00:42 Christian Grothoff Status new => confirmed
2018-11-18 00:42 Christian Grothoff Product Version => SVN HEAD
2018-11-18 00:42 Christian Grothoff Target Version => 0.9
2019-02-17 11:03 schanzen Relationship added parent of 0005423
2019-02-17 11:03 schanzen Relationship deleted parent of 0005423
2019-02-17 22:26 Christian Grothoff Note Added: 0013854
2019-03-01 16:47 Marcello Stanisci Note Added: 0014110
2019-03-01 16:48 Marcello Stanisci Status confirmed => assigned
2019-03-01 16:48 Marcello Stanisci Relationship added related to 0005490
2019-06-07 16:25 Marcello Stanisci Note Added: 0014519
2019-06-07 16:25 Marcello Stanisci Status assigned => resolved
2019-06-07 16:25 Marcello Stanisci Resolution open => fixed
2019-06-18 17:20 Christian Grothoff Fixed in Version => 0.6
2019-06-18 17:20 Christian Grothoff Target Version 0.9 => 0.6